#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <netdb.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <errno.h>

int
connexion_tcp (char* serveur, int port)
{
  int sock;
  struct sockaddr_in serv_addr;
  struct hostent* host;
  int res;
  
  host = gethostbyname (serveur);
  if (host == NULL)
    {
      herror ("gethostbyname");
      errno = 0;
      return -1;
    }
  
  memset (&serv_addr, 0, sizeof (serv_addr));
  serv_addr.sin_family = AF_INET;
  serv_addr.sin_port   = htons (port);
  serv_addr.sin_addr   = *((struct in_addr *) host->h_addr);

  /* On a toutes les donnes ncessaires. On peut crer la socket */
  sock = socket(AF_INET, SOCK_STREAM, 0);
  if (sock == -1)
    {
      perror ("socket");
      return -1;
    }

  /* La socket est cre. On peut la connecter  l'adresse/port prcis */
  res = connect (sock, (struct sockaddr*) &serv_addr, sizeof (serv_addr));
  if (res == -1)
    {
      perror ("connect");
      return -1;
    }
  else
    return sock;
}
